# Cesium3DTilesetGraphics

#### new Cesium.Cesium3DTilesetGraphics(options)
engine/Source/DataSources/Cesium3DTilesetGraphics.js 27

A 3D Tiles tileset represented by an `Entity`. The tileset modelMatrix is determined by the containing Entity position and orientation or is left unset if position is undefined.

Name | Type | Description
--- | --- | ---
`options` | Cesium3DTilesetGraphics.ConstructorOptions | optional Object describing initialization options

### Members

#### readonly definitionChanged : Event
engine/Source/DataSources/Cesium3DTilesetGraphics.js 46

Gets the event that is raised whenever a property or sub-property is changed or modified.

#### maximumScreenSpaceError : Property|undefined
engine/Source/DataSources/Cesium3DTilesetGraphics.js 72

Gets or sets the maximum screen space error used to drive level of detail refinement.

#### show : Property|undefined
engine/Source/DataSources/Cesium3DTilesetGraphics.js 58

Gets or sets the boolean Property specifying the visibility of the model.

Default Value: `true`

#### uri : Property|undefined
engine/Source/DataSources/Cesium3DTilesetGraphics.js 65

Gets or sets the string Property specifying the URI of the glTF asset.

### Methods

#### clone(result) → Cesium3DTilesetGraphics
engine/Source/DataSources/Cesium3DTilesetGraphics.js 81

Duplicates this instance.

Name | Type | Description
--- | --- | ---
`result` | Cesium3DTilesetGraphics | optional The object onto which to store the result.

##### Returns:

The modified result parameter or a new instance if one was not provided.

#### merge(source)
engine/Source/DataSources/Cesium3DTilesetGraphics.js 98

Assigns each unassigned property on this object to the value of the same property on the provided source object.

Name | Type | Description
--- | --- | ---
`source` | Cesium3DTilesetGraphics | The object to be merged into this object.

### Type Definitions

#### Cesium.Cesium3DTilesetGraphics.ConstructorOptions
engine/Source/DataSources/Cesium3DTilesetGraphics.js 7

Initialization options for the Cesium3DTilesetGraphics constructor

##### Properties:

Name | Type | Attributes | Default | Description
--- | --- | --- | --- | ---
`show` | Property | boolean | <optional> | true | A boolean Property specifying the visibility of the tileset.
`uri` | Property | string | Resource | <optional> |  | A string or Resource Property specifying the URI of the tileset.
`maximumScreenSpaceError` | Property | number | <optional> |  | A number or Property specifying the maximum screen space error used to drive level of detail refinement.

Need help? The fastest way to get answers is from the community and team on the Cesium Forum.